Bug 220560 - Dependency resolution on Desktop Environments is bad.
Dependency resolution on Desktop Environments is bad.
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-12-21 21:20 EST by Christopher Evans
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-25 15:00:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Evans 2006-12-21 21:20:59 EST
Description of problem:
When removing KDE or GNOME from the system the dependency resolution removes the
other as well.

Version-Release number of selected component (if applicable):

How reproducible:
Install both KDE and GNOME try to remove one with yum.

Steps to Reproduce:
1. Install GNOME and KDE on the system
2. Attempt to remove one or the other after installation with a package manager
or command line
3. see that a package is removed that removes both Desktop Environments
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2007-04-25 15:00:52 EDT
KDE and GNOME both have some common deps, so removing one can remove the others.
 Not much that can be done about it on the yum level.  We've tried to clean up
the cases of this in comps where we find them (and F7 should be al ot better)

Note You need to log in before you can comment on or make changes to this bug.